summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--games/gnonograms/README4
-rw-r--r--games/gnonograms/doinst.sh13
-rw-r--r--games/gnonograms/gnonograms.SlackBuild91
-rw-r--r--games/gnonograms/gnonograms.info10
-rw-r--r--games/gnonograms/slack-desc19
5 files changed, 137 insertions, 0 deletions
diff --git a/games/gnonograms/README b/games/gnonograms/README
new file mode 100644
index 0000000000..c86f231b80
--- /dev/null
+++ b/games/gnonograms/README
@@ -0,0 +1,4 @@
+Gnonograms is an implementation of the Japanese logic puzzle "Nonograms", also
+known as "Tsunami", "Griddlers" .....". The object of the game is to discover
+the pattern in the grid which is encoded by the clues which are give for each
+row and column.
diff --git a/games/gnonograms/doinst.sh b/games/gnonograms/doinst.sh
new file mode 100644
index 0000000000..55ffe4859a
--- /dev/null
+++ b/games/gnonograms/doinst.sh
@@ -0,0 +1,13 @@
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/gnonograms/gnonograms.SlackBuild b/games/gnonograms/gnonograms.SlackBuild
new file mode 100644
index 0000000000..9805310bcf
--- /dev/null
+++ b/games/gnonograms/gnonograms.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+#
+# Slackware build script for Gnonograms
+#
+# Copyright 2014 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnonograms
+SRCNAM=gnonograms3
+VERSION=${VERSION:-0.9.9.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -ue
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --nognome \
+ --disable-desktop-update \
+ --disable-gnome-doc-install \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL MAINTAINERS NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/gnonograms/gnonograms.info b/games/gnonograms/gnonograms.info
new file mode 100644
index 0000000000..1dd1135845
--- /dev/null
+++ b/games/gnonograms/gnonograms.info
@@ -0,0 +1,10 @@
+PRGNAM="gnonograms"
+VERSION="0.9.9.3"
+HOMEPAGE="https://code.google.com/p/gnonograms/"
+DOWNLOAD="https://gnonograms.googlecode.com/files/gnonograms3-0.9.9.3.tar.gz"
+MD5SUM="dc2b86cf2062acacc6a86e66c89af317"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="vala"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
diff --git a/games/gnonograms/slack-desc b/games/gnonograms/slack-desc
new file mode 100644
index 0000000000..de3d46f646
--- /dev/null
+++ b/games/gnonograms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gnonograms: gnonograms (Nonogram puzzle generator and solver)
+gnonograms:
+gnonograms: Gnonograms is an implementation of the Japanese logic puzzle
+gnonograms: "Nonograms", also known as "Tsunami", "Griddlers" .....". The object
+gnonograms: of the game is to discover the pattern in the grid which is encoded
+gnonograms: by the clues which are give for each row and column.
+gnonograms:
+gnonograms:
+gnonograms:
+gnonograms:
+gnonograms: